> For the complete documentation index, see [llms.txt](https://docs.lifev.eu/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lifev.eu/scripts/items/lifevisuals_lagerhalle/konfiguration.md).

# Konfiguration

Alle editierbaren Dateien, Config-Werte und Befehle von lifevisuals\_lagerhalle.

Hier findest du alle Konfigurationen und die offenen (editierbaren) Dateien von **lifevisuals\_lagerhalle**.

### Dateien im Resource

| Bereich | Dateien                                                         |
| ------- | --------------------------------------------------------------- |
| Server  | `server/main.lua`, `webhook.lua`                                |
| Client  | `locales/de.lua`, `locales/en.lua`, `ac.lua`, `client/main.lua` |
| Shared  | —                                                               |
| Config  | `config.lua`                                                    |
| SQL     | `database.sql`, `updatestorage.sql`                             |

{% hint style="info" %}
**Editierbar:** `ac.lua`, `client/main.lua`, `config.lua`, `database.sql`, `locales/**.lua`, `server/main.lua`, `updatestorage.sql`, `webhook.lua`
{% endhint %}

### Wichtige Config-Werte

| Wert                          | Standard                                       | Bedeutung                                                                                                 |
| ----------------------------- | ---------------------------------------------- | --------------------------------------------------------------------------------------------------------- |
| `Config.Debug`                | `false`                                        | Debug-Ausgaben aktivieren/deaktivieren                                                                    |
| `Config.DrawDistance`         | `50`                                           | Die Entfernung ab der die Tresor-Marker sichtbar sind                                                     |
| `Config.InteractDistance`     | `2`                                            | Am besten auf Markergröße einstellen                                                                      |
| `Config.EnableBlip`           | `true`                                         | Alle Tresor-Blips aktivieren oder deaktivieren                                                            |
| `Config.DefaultBlip`          | `{id = 814, color = 1, size = 0.8, name = "T…` | Der Standard-Blip wenn nichts geändert wird                                                               |
| `Config.DefaultMarker`        | `{type = 21, size = vector3(0.5, 0.5, 0.5) ,…` | Der Standard-Marker wenn nichts geändert wird                                                             |
| `Config.EnableItems`          | `true`                                         | Items können im Tresor verstaut werden                                                                    |
| `Config.EnableWeapons`        | `true`                                         | Waffen können im Tresor verstaut werden                                                                   |
| `Config.EnableBlackmoney`     | `true`                                         | Schwarzgeld kann im Tresor verstaut werden                                                                |
| `Config.EnableWeaponStacking` | `false`                                        | Aktivieren wenn Waffen stapelbar sein sollen. Der Spieler verliert dabei Munition und Aufsätze.           |
| `Config.UseHexMenu`           | `false`                                        | Wenn true, wird hex\_menu\_api (RageUI) statt des ESX-Standardmenüs verwendet                             |
| `Config.UseLifeVisualsInv`    | `true`                                         | Wenn true, wird das LifeVisuals-Inventar für die Lagerverwaltung genutzt (statt des eigenen Tresor-Menüs) |
| `Config.StorageCapacity`      | `250`                                          | Lagerkapazität in kg (wird an das Inventar-System übergeben)                                              |
| `Config.StoragePrice`         | `6000000`                                      | Kaufpreis für ein Lager (6.000.000)                                                                       |

<details>

<summary>Alle weiteren Config-Werte (21)</summary>

| Wert                      | Standard                                   |
| ------------------------- | ------------------------------------------ |
| `Config.Locale`           | `"de"`                                     |
| `Config.Align`            | `'top-left'`                               |
| `Config.Key`              | `38`                                       |
| `Config.checkForInvSpace` | `true`                                     |
| `Config.StorageInventory` | `{ … }`                                    |
| `Config.Storageinside`    | `vector3(1173.6938, -3196.4524, -39.0079)` |
| `Config.Storageoutside`   | `vector3(795.1582, -2970.9399, 7.0209)`    |
| `Config.StorageSellPrice` | `3000000`                                  |
| `Config.SafePassword`     | `'abs#d!§&§$habsd12312a1basd'`             |
| `Config.Safes`            | `{ … }`                                    |
| `Config.BotName`          | `"BotName"`                                |
| `Config.AuthorName`       | `"Tresor - Protokoll"`                     |
| `Config.DateFormat`       | `'%d/%m/%Y [%X]'`                          |
| `Config.EmbedColorAdd`    | `'65352'`                                  |
| `Config.EmbedColorRemove` | `'65352'`                                  |
| `Config.EnableAddLog`     | `false`                                    |
| `Config.EnableRemoveLog`  | `false`                                    |
| `Config.PutMessage`       | `"**hat Folgendes eingelagert:**"`         |
| `Config.TakeMessage`      | `"**hat Folgendes ausgelagert:**"`         |
| `Config.Notification`     | `function (msg)`                           |
| `Config.Anticheat`        | `{ … }`                                    |

</details>

### Datenbank-Tabellen

| Datei               | Tabellen                                                                                            | Befüllt mit      |
| ------------------- | --------------------------------------------------------------------------------------------------- | ---------------- |
| `database.sql`      | `lifevisuals_lagerhalle_access`, `lifevisuals_lagerhalle_ownership`, `lifevisuals_lagerhalle_safes` | keine Demo-Daten |
| `updatestorage.sql` | `lifevisuals_lagerhalle_access`, `lifevisuals_lagerhalle_ownership`                                 | keine Demo-Daten |

***

API für eigene Scripts: [Exports](/scripts/items/lifevisuals_lagerhalle/exports.md) und [Events](/scripts/items/lifevisuals_lagerhalle/events.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lifev.eu/scripts/items/lifevisuals_lagerhalle/konfiguration.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
